﻿using Infragistics.UltraChart.Shared.Styles;
using System;
using System.Collections.Generic;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace KB9455_DataDisplayOrder_WebApplication1
{
    public partial class WebForm1 : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (Session["ascendingData"] == null)
            {
                DataTable _ascendingData = new DataTable();

                // 列と列名を定義します。
                _ascendingData.Columns.Add("Series Labels", typeof(string));
                _ascendingData.Columns.Add("Column A", typeof(int));
                _ascendingData.Columns.Add("Column B", typeof(int));
                _ascendingData.Columns.Add("Column C", typeof(int));
                _ascendingData.Columns.Add("Column D", typeof(int));

                // データの行を追加します。
                _ascendingData.Rows.Add(new Object[] { "Series A", 1, 4, 10, 4 });
                _ascendingData.Rows.Add(new Object[] { "Series B", 3, 6, 4, 5 });
                _ascendingData.Rows.Add(new Object[] { "Series C", 5, 8, 6, 7 });
                _ascendingData.Rows.Add(new Object[] { "Series D", 7, 10, 7, 7 });

                Session["ascendingData"] = _ascendingData;
            }

            if (Session["descendingData"] == null)
            {
                DataTable _descendingData = new DataTable();

                // 列と列名を定義します。
                _descendingData.Columns.Add("Series Labels", typeof(string));
                _descendingData.Columns.Add("Column D", typeof(int));
                _descendingData.Columns.Add("Column C", typeof(int));
                _descendingData.Columns.Add("Column B", typeof(int));
                _descendingData.Columns.Add("Column A", typeof(int));

                // データの行を追加します。
                _descendingData.Rows.Add(new Object[] { "Series D", 7, 10, 7, 7 });
                _descendingData.Rows.Add(new Object[] { "Series C", 5, 8, 6, 7 });
                _descendingData.Rows.Add(new Object[] { "Series B", 3, 6, 4, 5 });
                _descendingData.Rows.Add(new Object[] { "Series A", 1, 4, 10, 4 });

                Session["descendingData"] = _descendingData;
            }

            UltraChart1.ColorModel.ModelStyle = ColorModels.CustomLinear;
            Color[] ChartColors;
            ChartColors = new Color[] { Color.Red, Color.Orange, Color.Yellow, Color.Green, Color.Blue, Color.Indigo, Color.Violet };
            UltraChart1.ColorModel.CustomPalette = ChartColors;

            UltraChart1.DataSource = Session["ascendingData"];
            UltraChart1.DataBind();
        }

        protected void Button1_Click(object sender, EventArgs e)
        {
            UltraChart1.DataSource = Session["ascendingData"];
            UltraChart1.DataBind();
        }

        protected void Button2_Click(object sender, EventArgs e)
        {
            UltraChart1.DataSource = Session["descendingData"];
            UltraChart1.DataBind();
        }
    }
}